/**
Theme Name: eHautaus Astra Child
Author: Hautauspalvelu eHautaus Oy
Author URI: https://ehautaus.fi/
Description: eHautaus - Helpoin tapa hoitaa hautaus
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ehautaus-astra-child
Template: astra
*/
@font-face {
    font-family: 'nelphim_italicitalic';
    src: url('https://ehautaus.fi/wp-content/themes/ehautaus-astra-child/fonts/nephilm_italic-webfont.woff2') format('woff2'),
         url('https://ehautaus.fi/wp-content/themes/ehautaus-astra-child/fonts/nephilm_italic-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'nelphim_regular';
    src: url('https://ehautaus.fi/wp-content/themes/ehautaus-astra-child/fonts/nephilm-webfont.woff2') format('woff2'),
         url('https://ehautaus.fi/wp-content/themes/ehautaus-astra-child/fonts/nephilm-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
h1, h2, h3, h4, h5, h6 {
	font-family: 'nelphim_regular' !important;
}
h2.tm-title {
	font-size: 32px !important;
	font-weight: 400 !important;
	margin-top: -40px !important;
}
p, div.name, div.comment, span.date, .tm-input--text, .tm-field--textarea, .survey-form-submit-button span,
.sf-prem-button-bubble {
	font-family: 'Inter' !important;
}
input#tm-oceTEsBtkf, input#tm-Zjfmp3BPQ, input#tm-DwytTqqddn, input#tm-EdRkyfwrp1, .go1456159642 p {
	font-size: 18px !important;
}
.go1456159642 h2 {
	line-height: 1.2em !important;
}
#tm-2iinrg .go11 .go2787104505 span {
	background-color: #432284 !important;
}
.gform-theme--foundation .gfield .ginput_password.large, .gform-theme--foundation .gfield input.large, .gform-theme--foundation .gfield select.large,
.gform-theme--foundation .gfield textarea.large {
	font-size: 18px;
}
#content p.suunnittele-leipateksti a,
.tuotenostot .tuotenostot-linkki a {
	font-weight: 400 !important;
}
#content p.suunnittele-cta a {
	font-weight: 700 !important;
}
.ast-single-entry-banner h1.entry-title {
	font-size: 40px !important;
	font-weight: 400 !important;
}
#content p a, #content ul li a, #content ol li a, #content p.read-more a,
.footer-widget-area p a, .footer-widget-area li a, .wp-block-table.is-style-stripes a {
	border-bottom: 2px solid #9471c8;
	font-weight: 500;
}
#content .tuotenostot .tuotenostot-linkki a,
#content p.alakategorian-linkit a {
	border-bottom: 0px !important;
}
#content p a:hover, #content ul li a:hover, #content ol li a:hover, #content p.read-more a:hover,
.footer-widget-area p a:hover, .footer-widget-area li a:hover, .wp-block-table.is-style-stripes a:hover {
	border-bottom: 2px solid #432284;
}
#content .suunnittele-ja-soita p a {
	border-bottom: 0;
}
.hero .wp-block-column-is-layout-flow,
.suunnittele-ja-soita .wp-block-column-is-layout-flow,
.sinua-palvelee .wp-block-columns-is-layout-flex,
.tuotenostot .wp-block-columns-is-layout-flex,
.videoreferenssi .wp-block-columns-is-layout-flex,
.suunnittele-hautaus .wp-block-columns-is-layout-flex,
.hautausjarjestelyt .wp-block-columns-is-layout-flex,
.helpoin-tapa-hoitaa-hautaus .wp-block-group-is-layout-constrained,
.helpoin-tapa-hoitaa-hautaus .wp-block-group-is-layout-constrained .wp-block-columns-is-layout-flex,
.wp-block-video [poster], .ast-oembed-container, .wp-block-group.sinua-palvelee {
	border-radius: 15px;
}
.hero .wp-block-cover__inner-container p {
	color: #ffffff !important;
}
.hero .wp-block-column-is-layout-flow,
/*.sinua-palvelee .wp-block-columns-is-layout-flex,
.videoreferenssi .wp-block-columns-is-layout-flex,
.suunnittele-hautaus .wp-block-columns-is-layout-flex:first-child,*/
.hautausjarjestelyt .wp-block-columns-is-layout-flex,
/*.helpoin-tapa-hoitaa-hautaus .wp-block-group-is-layout-constrained,
.helpoin-tapa-hoitaa-hautaus .wp-block-group-is-layout-constrained .wp-block-columns-is-layout-flex,*/
.artikkelilistaus .wp-block-latest-posts li {
	box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-webkit-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-moz-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
}
.tuotenostot .wp-block-columns-is-layout-flex .wp-block-column-is-layout-flow .wp-block-columns-is-layout-flex {
	box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-webkit-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-moz-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	border: 1px solid #E0E0E0;
}
/* .helpoin-tapa-hoitaa-hautaus {
	margin-bottom: -166px !important;
	z-index: 100;
	position: relative;
} */
.artikkelilistaus .wp-block-latest-posts li {
	background-color: #ffffff;
	border-radius: 15px;
}
.artikkelilistaus .wp-block-latest-posts li > a {
	padding: 0 30px 0 30px;
	font-size: 26px;
    font-family: 'nelphim_regular';
    color: #333333;
    display: block;
    margin-top: 30px;
    line-height: 1.4em;
    border-bottom: 0 !important;
}
.artikkelilistaus .wp-block-latest-posts img,
.artikkelilistaus .wp-block-column-is-layout-flow img {
	border-radius: 15px 15px 0 0;
}
.artikkelilistaus .wp-block-column-is-layout-flow h3 {
	margin: 30px 0 12px;
	padding: 0 30px;
}
.artikkelilistaus .wp-block-latest-posts li .wp-block-latest-posts__post-excerpt {
	padding: 0 30px 30px 30px;
	margin-bottom: 0;
}
.entry-content .artikkelilistaus .wp-block-column-is-layout-flow p {
	padding: 0 30px 18px 30px;
	margin-bottom: 0;
}
.artikkelilistaus .wp-block-column-is-layout-flow {
	background-color: #ffffff;
	border-radius: 15px;
	box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
    -webkit-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
    -moz-box-shadow: 0px 2px 10px 2px rgba(228, 228, 228, 0.75);
}
.artikkelilistaus .wp-block-column-is-layout-flow .wp-block-buttons {
	margin: 8px 0 30px;
	padding: 0 30px;
}
.artikkelilistaus .wp-block-latest-posts__list {
	margin-top: 30px;
}
.wp-block-latest-posts__featured-image a {
	border-bottom: 0 !important;
}
.suunnittele-ja-soita .wp-block-column.has-background,
.artikkelilistaus .wp-block-latest-posts li,
.artikkelilistaus .wp-block-column {
	transition: all .2s linear;
}
.suunnittele-ja-soita .wp-block-column.has-background:hover,
.artikkelilistaus .wp-block-latest-posts li:hover,
.artikkelilistaus .wp-block-column:hover {
	transform: scale(1.02);
}
.wp-block-button .wp-block-button__link {
	background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
	transition: all .2s linear;
}
.gform-theme.gform-theme--framework.gform_wrapper .button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper .gform-theme-button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper :where(:not(.mce-splitbtn))>button:not([id*=mceu_]):not(.mce-open):where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper button.button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper input:is([type=submit],[type=button],[type=reset]).button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper input:is([type=submit],[type=button],[type=reset]):where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)),
.gform-theme.gform-theme--framework.gform_wrapper input[type=submit].button.gform_button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)) {
	background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
	transition: all .2s linear;
	font-size: 18px !important;
	padding: 20px !important;
	border-radius: 15px !important;
	border: 0px !important;
}
.wp-block-button.is-style-outline .wp-block-button__link {
	background: transparent;
}
.wp-block-button .wp-block-button__link:hover {
	transform: scale(1.02);
}
.gform-theme.gform-theme--framework.gform_wrapper .button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper .gform-theme-button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper :where(:not(.mce-splitbtn))>button:not([id*=mceu_]):not(.mce-open):where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper button.button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper input:is([type=submit],[type=button],[type=reset]).button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper input:is([type=submit],[type=button],[type=reset]):where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover,
.gform-theme.gform-theme--framework.gform_wrapper input[type=submit].button.gform_button:where(:not(.gform-theme-no-framework):not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *)):hover {
	transform: scale(1.02);
}
.gform-theme--foundation .gfield .ginput_password.large, .gform-theme--foundation .gfield input.large, .gform-theme--foundation .gfield select.large, .gform-theme--foundation .gfield textarea.large {
	border-radius: 15px !important;
	min-height: 50px !important;
	border-color: #212121 !important;
}
.gform-theme--foundation .gfield select.large {
	padding-top: 5px !important;
}
.lightweight-accordion .lightweight-accordion-title {
	border-radius: 15px;
    background: #F8F5FB !important;
    box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-webkit-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
	-moz-box-shadow: 0px 2px 10px 2px rgba(228,228,228,0.75);
    font-family: 'nelphim_regular' !important;
    padding-top: 14px !important;
}
.lightweight-accordion .lightweight-accordion-title span {
	font-size: 20px !important;
}
.lightweight-accordion .lightweight-accordion-body {
	padding: 0 0 0 10px !important;
}
.lightweight-accordion {
    margin-bottom: 0px !important;
    margin-top: 10px;
}
.lightweight-accordion-body p {
	margin-top: 1.5em;
}
#secondary .wp-block-search__button {
	background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
	border-radius: 15px !important;
}
#secondary .wp-block-search__input {
	height: 46px;
	box-shadow: 0px 0px 0px 0px rgba(0,0,0,0.00) !important;
	border-radius: 15px !important;
}
.helpoin-tapa-hoitaa-hautaus .wp-block-group-is-layout-constrained {
	background-position: center;
}
#content p.katso-kaikki-artikkelit a {
	border-bottom: 0px;
}
.tuotelistaus .wp-block-media-text,
.tuotelistaus .wp-block-columns {
	border-radius: 15px;
}
.author_bio_section{
	background-color: #ffffff;
	padding: 15px 20px;
	border-radius: 15px;
}
.author_name{
	font-weight: 700;
}
.author_details img {
	float: left;
	margin: 0 15px 10px 0;
	border-radius: 100px;
}
p.author_name {
	margin-bottom: 15px;
}
p.author_links {
	margin-bottom: 6px;
}
.ast-plain-container.ast-no-sidebar .entry-content > .alignfull,
.ast-page-builder-template .ast-no-sidebar .entry-content > .alignfull,
.site-above-footer-wrap[data-section="section-above-footer-builder"],
.site-below-footer-wrap[data-section="section-below-footer-builder"] {
	padding-left: 20px;
	padding-right: 20px;
}
.ast-plain-container.ast-no-sidebar .entry-content > .alignfull.trustmary,
.ast-page-builder-template .ast-no-sidebar .entry-content > .alignfull.trustmary {
	padding-left: 8px;
	padding-right: 8px;
}
.footer-widget-area[data-section="sidebar-widgets-footer-widget-2"].footer-widget-area-inner,
.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner {
	background-color: #EDE7F6;
    padding: 25px 30px 0px 28px;
    min-height: 200px;
    border-radius: 15px;
}
.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner a {
	border-bottom:none !important;
}
.wp-block-cover__inner-container {
	max-width: 1200px;
}
#content p#vasen-cta {
	position: fixed !important;
    top: 50% !important;
    left: -70px !important;
    rotate: 90deg !important;
    margin: 0px !important;
    padding: 10px 20px !important;
    border-radius: 15px 15px 0 0 !important;
    z-index: 999 !important;
    background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
    color: #ffffff !important;
}
#content p#vasen-cta-perunkirjoitus {
	position: fixed !important;
    top: 50% !important;
    left: -76px !important;
    rotate: 90deg !important;
    margin: 0px !important;
    padding: 10px 20px !important;
    border-radius: 15px 15px 0 0 !important;
    z-index: 999 !important;
    background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
    color: #ffffff !important;
}
#content p#vasen-cta-hautakivi {
	position: fixed !important;
    top: 50% !important;
    left: -84px !important;
    rotate: 90deg !important;
    margin: 0px !important;
    padding: 10px 20px !important;
    border-radius: 15px 15px 0 0 !important;
    z-index: 999 !important;
    background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
    color: #ffffff !important;
}
#content p#vasen-cta a {
	color: #ffffff !important;
    border-bottom: 0px !important;
    font-weight: 400 !important;
}
#content p#vasen-cta-perunkirjoitus a {
	color: #ffffff !important;
    border-bottom: 0px !important;
    font-weight: 400 !important;
}
#content p#vasen-cta-hautakivi a {
	color: #ffffff !important;
    border-bottom: 0px !important;
    font-weight: 400 !important;
}
.entry-content ul, .entry-content ol {
	padding-left: 0px !important;
}
.single-post .entry-content ul {
	padding-left: 30px !important;
}
.single-post .entry-content ul.wp-block-latest-posts__list {
	padding-left: 0px !important;
}
iframe {
	border-radius: 15px !important;
}
.ast-header-html.inner-link-style- a.perunkirjoitusnumero,
.ast-header-html.inner-link-style- a.hautakivinumero,
.ast-header-html.inner-link-style- a.hautakiviposti,
.ast-header-html.inner-link-style- a.perunkirjoitusposti {
	display: none;
}
.page-id-7070 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
.page-id-7833 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
.page-id-7070 .ast-header-html.inner-link-style- a.perunkirjoitusposti,
.page-id-7833 .ast-header-html.inner-link-style- a.perunkirjoitusposti {
	display: inline;
}
@media (max-width: 370px) {
	.page-id-7070 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
	.page-id-7833 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
	.page-id-7070 .ast-header-html.inner-link-style- a.perunkirjoitusposti,
	.page-id-7833 .ast-header-html.inner-link-style- a.perunkirjoitusposti {
		font-size: 13px !important;
	}
}
.page-id-7070 .ast-header-html.inner-link-style- a.hautakivinumero,
.page-id-7833 .ast-header-html.inner-link-style- a.hautakivinumero,
.page-id-7070 .ast-header-html.inner-link-style- a.hautakiviposti,
.page-id-7833 .ast-header-html.inner-link-style- a.hautakiviposti,
.page-id-7070 .ast-header-html.inner-link-style- a.yleisnumero,
.page-id-7833 .ast-header-html.inner-link-style- a.yleisnumero,
.page-id-7070 .ast-header-html.inner-link-style- a.yleisposti,
.page-id-7833 .ast-header-html.inner-link-style- a.yleisposti {
	display: none;
}
.page-id-7068 .ast-header-html.inner-link-style- a.hautakivinumero,
.page-id-7563 .ast-header-html.inner-link-style- a.hautakivinumero,
.page-id-7068 .ast-header-html.inner-link-style- a.hautakiviposti,
.page-id-7563 .ast-header-html.inner-link-style- a.hautakiviposti {
	display: inline;
}
.page-id-7068 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
.page-id-7563 .ast-header-html.inner-link-style- a.perunkirjoitusnumero,
.page-id-7068 .ast-header-html.inner-link-style- a.perunkirjoitusposti,
.page-id-7563 .ast-header-html.inner-link-style- a.perunkirjoitusposti,
.page-id-7068 .ast-header-html.inner-link-style- a.yleisnumero,
.page-id-7563 .ast-header-html.inner-link-style- a.yleisnumero,
.page-id-7068 .ast-header-html.inner-link-style- a.yleisposti,
.page-id-7563 .ast-header-html.inner-link-style- a.yleisposti {
	display: none;
}
.page-id-8176 .ast-above-header-wrap, .page-id-8032 .ast-above-header-wrap, .page-id-8240 .ast-above-header-wrap {
	display: none !important;
}
.main-header-menu .menu-item.valikko-toimintakehote-hautakivi {
	display: none;
}
.page-id-7068 .main-header-menu .menu-item.valikko-toimintakehote-hautakivi,
.page-id-7563 .main-header-menu .menu-item.valikko-toimintakehote-hautakivi {
	display: flex;
}
.page-id-7068 .main-header-menu .menu-item.valikko-toimintakehote,
.page-id-7563 .main-header-menu .menu-item.valikko-toimintakehote {
	display: none;
}
@media (max-width: 544px) {
	.tuotenostot .wp-block-columns .wp-block-column:not(:last-child),
	.artikkelilistaus .wp-block-columns .wp-block-column:not(:last-child) {
		margin-bottom: 0px !important;
	}
	.tuotelistaus :where(body .is-layout-flex) {
		gap: 0px !important;
	}
	.tuotelistaus .is-not-stacked-on-mobile {
		gap: 20px !important;
	}
	.site-above-footer-wrap[data-section="section-above-footer-builder"].ast-footer-row-mobile-stack .site-footer-section {
		margin-bottom: 30px !important;
	}
}
@media (max-width: 599px) {
	.wp-block-latest-posts.is-grid li {
		margin-right: 0px !important;
	}
	:where(body .is-layout-flex) {
		gap: 20px !important;
	}
}
@media (max-width: 781px) {
	.suunnittele-ja-soita {
		margin-top: -18em !important;
        z-index: 999;
        position: relative;
	}
	.suunnittele-ja-soita .wp-block-column.has-background,
	.videoreferenssi .wp-block-columns,
	.sinua-palvelee .wp-block-columns,
	.suunnittele-hautaus > .wp-block-columns,
	.tuotelistaus .wp-block-columns .wp-block-columns {
		padding-left: 30px !important;
		padding-right: 30px !important;
		padding-top: 30px !important;
        padding-bottom: 30px !important;
	}
	.tuotelistaus .wp-block-columns .wp-block-columns .wp-block-columns {
		padding: 0 0 20px 0 !important;
	}
	.tuotelistaus .wp-block-columns .wp-block-columns .wp-block-columns.is-not-stacked-on-mobile {
		padding-bottom: 0 !important;
	}
	.tuotelistaus .wp-block-columns .wp-block-columns .wp-block-columns.is-not-stacked-on-mobile .wp-block-column {
		margin-bottom: 0 !important;
	} 
	.tuotenostot .wp-block-columns .wp-block-columns {
		padding-left: 20px !important;
		padding-right: 20px !important;
		padding-top: 20px !important;
        padding-bottom: 20px !important;
	}
	.helpoin-tapa-hoitaa-hautaus .wp-block-columns.has-background {
		padding-left: 20px !important;
		padding-right: 20px !important;
		padding-top: 30px !important;
        padding-bottom: 30px !important;
	}
	.helpoin-tapa-hoitaa-hautaus .wp-block-columns.has-background h2 {
		margin-bottom: 28px !important;
	}
	.suunnittele-ja-soita.wp-block-group {
		padding-bottom: 0px !important;
		z-index:998;
	}
	.artikkelilistaus .wp-block-latest-posts__list {
		margin-top: 20px;
	}
	.helpoin-tapa-hoitaa-hautaus .wp-block-buttons.is-layout-flex {
		justify-content: center !important;
	}
	h4.has-text-align-right {
		float: left;
	}
	.wp-lightbox-container img {
		margin: auto;
		border-radius: 15px;
	}
	.ast-single-entry-banner h1.entry-title {
		font-size: 36px !important;
		padding: 0 20px;
	}
}
@media (max-width: 921px) {
	h1, .entry-content h1 {
		font-size: 36px !important;
	}
	.page-id-7563 h1, .page-id-7563 .entry-content h1,
	.page-id-7833 h1, .page-id-7833 .entry-content h1,
	.page-id-7217 h1, .page-id-7217 .entry-content h1,
	.page-id-7070 h1, .page-id-7070 .entry-content h1,
	.page-id-8304 h1, .page-id-8304 .entry-content h1 {
		font-size: 28px !important;
	}
	h2 {
		font-size: 30px !important;
	}
	h3, h3 a {
		font-size: 26px !important;
	}
	h4 {
		font-size: 20px !important;
	}
	.ast-button-wrap .menu-toggle.main-header-menu-toggle {
		margin-right: -19px;
	}
	.ast-builder-menu-mobile .main-navigation .menu-item > .ast-menu-toggle {
		color: #9471c8 !important;
	}
	.ast-header-break-point .main-header-bar-navigation .menu-item-has-children>.ast-menu-toggle {
		padding: 0 25px !important;
	}
	.linkiton-valikkoelementti a {
		padding-right: 0px !important;
	}
	.ast-builder-menu-mobile .main-navigation .menu-item.menu-item-has-children > .ast-menu-toggle {
		right: 0px;
		box-shadow: none;
		border-radius: 2px;
		margin-right: 1px;
	}
	.ast-header-break-point .ast-icon.icon-arrow svg {
		margin: auto !important;
		top: 2px;
	}
	.ast-theme-transparent-header #masthead {
		z-index: 1000;
	}
	.ast-header-break-point .main-navigation .stack-on-mobile li.valikko-toimintakehote,
	.ast-header-break-point .main-navigation .stack-on-mobile li.valikko-toimintakehote-hautakivi {
		background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
	}
	.ast-header-break-point .main-navigation .stack-on-mobile li.valikko-toimintakehote a,
	.ast-header-break-point .main-navigation .stack-on-mobile li.valikko-toimintakehote-hautakivi a {
		color: #ffffff !important;
		border-bottom: 0px !important;
		background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
	}
	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link {
		background: #ede7f6 !important;
	}
}
@media (max-width: 1200px) {
	.page-id-7563 .suunnittele-ja-soita,
	.page-id-7833 .suunnittele-ja-soita,
	.page-id-7217 .suunnittele-ja-soita,
	.page-id-7068 .suunnittele-ja-soita,
	.page-id-7070 .suunnittele-ja-soita,
	.page-id-8304 .suunnittele-ja-soita {
		margin-top: -15em !important;
	}
	.page-id-7217 .entry-content > .wp-block-group, .page-id-7217 .entry-content > .wp-block-cover, .page-id-7217 .entry-content > .wp-block-columns,
	.page-id-7563 .entry-content > .wp-block-group, .page-id-7563 .entry-content > .wp-block-cover, .page-id-7563 .entry-content > .wp-block-columns,
	.page-id-7833 .entry-content > .wp-block-group, .page-id-7833 .entry-content > .wp-block-cover, .page-id-7833 .entry-content > .wp-block-columns,
	.page-id-8032 .entry-content > .wp-block-group, .page-id-8032 .entry-content > .wp-block-cover, .page-id-8032 .entry-content > .wp-block-columns,
	.page-id-8176 .entry-content > .wp-block-group, .page-id-8176 .entry-content > .wp-block-cover, .page-id-8176 .entry-content > .wp-block-columns {
		padding-left: 0px !important;
		padding-right: 0px !important;
	}
	.page-id-7217 .entry-content > .wp-block-group.suunnittele-ja-soita,
	.page-id-7217 .entry-content > .wp-block-group.videoreferenssi {
		padding-left: 20px !important;
        padding-right: 20px !important;
	} 
	/*.ast-separate-container .entry-content > .alignfull {
		margin-left: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
        margin-right: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
        max-width: none !important;
	}*/
	.ast-plain-container .entry-content .alignfull {
		margin-left: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
        margin-right: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
        width: auto !important;
        max-width: none !important;
	}
	.ast-plain-container .entry-content[data-ast-blocks-layout] > .alignwide.videoreferenssi {
		margin-left: calc(-1* min(var(--ast-container-default-xlg-padding), 0px)) !important;
        margin-right: calc(-1* min(var(--ast-container-default-xlg-padding), 0px)) !important;
	}
	.page-id-8505.ast-plain-container .entry-content[data-ast-blocks-layout] > .alignwide.videoreferenssi {
		margin-left: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
        margin-right: calc(-1* min(var(--ast-container-default-xlg-padding), 20px)) !important;
	}
}
@media (max-width: 1349px) {
	.ast-single-entry-banner[data-post-type="post"],
	.ast-single-entry-banner[data-post-type="post"] .ast-container {
		padding: 0px !important;
	}
	.post-thumb-img-content {
		margin-bottom: 40px !important;
	}
}
@media (min-width: 545px) {
	.footer-widget-area[data-section="sidebar-widgets-footer-widget-2"].footer-widget-area-inner,
	.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner {
		margin-top: 66px !important;
	}
}
 @media (min-width: 782px) {
	.suunnittele-ja-soita {
		margin-top: -15em !important;
		z-index: 999;
		position: relative;
	}
	.wp-lightbox-container img {
		border-radius: 0 15px 15px 0;
	}
	.is-not-stacked-on-mobile .wp-block-column:nth-child(2) .wp-lightbox-container img,
	.is-not-stacked-on-mobile .wp-block-column:nth-child(3) .wp-lightbox-container img {
		border-radius: 15px;
	}
}
@media (min-width: 922px) {
	.mobiililaite .wp-block-image img {
		margin-top: -166px;
		margin-left: -30px;
	    max-width: 120%;
	}
	.main-header-menu > .menu-item.valikko-toimintakehote > .menu-link,
	.main-header-menu > .menu-item.valikko-toimintakehote-hautakivi > .menu-link {
		background: linear-gradient(45deg, rgb(67, 34, 132) 0%, rgb(184, 131, 179) 100%);
		height: 58px;
    	border-radius: 15px;
    	padding-left: 20px;
    	padding-right: 20px;
    	margin-left: 20px;
    	transition: all .2s linear;
	}
	.main-header-menu > .menu-item.valikko-toimintakehote > .menu-link:hover,
	.main-header-menu > .menu-item.valikko-toimintakehote-hautakivi > .menu-link:hover {
		transform: scale(1.02);
		color: #ffffff !important;
	}
	.ast-theme-transparent-header .ast-above-header, .ast-theme-transparent-header .ast-above-header.ast-above-header-bar {
		background-color: #00000020 !important;
	}
	.ast-right-sidebar #primary, .ast-right-sidebar #secondary {
		border-left: 0px !important;
		border-right: 0px !important;
	}
	li.linkiton-valikkoelementti > a {
		cursor: default;
	}
	.ast-desktop .ast-builder-menu-1 .menu-item ul.sub-menu li a.menu-link {
		color: #9471c8 !important;
	}
	.ast-desktop .ast-builder-menu-1 .menu-item ul.sub-menu li {
		margin: 15px 0;
	}
	.ast-desktop .ast-builder-menu-1 .menu-item ul.sub-menu li:first-child {
		margin: 20px 0 15px 0;
	}
	.ast-desktop .ast-builder-menu-1 .menu-item ul.sub-menu li:last-child {
		margin: 15px 0 20px 0;
	}
}
@media (min-width: 1201px) {
	/*.ast-separate-container .entry-content[ast-blocks-layout] > .alignfull, .ast-plain-container .entry-content[ast-blocks-layout] > .alignfull {
		margin-left: calc(-1* var(--wp--custom--ast-default-block-left-padding));
    	margin-right: calc(-1* var(--wp--custom--ast-default-block-right-padding));
    	max-width: var(--wp--custom--ast-wide-width-size);
	}
	.ast-separate-container .entry-content[ast-blocks-layout] > .alignfull.hero, .ast-plain-container .entry-content[ast-blocks-layout] > .alignfull.hero {
		margin-left: calc(-50vw + 50%);
    	margin-right: calc(-50vw + 50%);
    	max-width: 100vw;
	}*/
	.page-id-7217 .entry-content > .wp-block-group, .page-id-7217 .entry-content > .wp-block-cover, .page-id-7217 .entry-content > .wp-block-columns,
	.page-id-7563 .entry-content > .wp-block-group, .page-id-7563 .entry-content > .wp-block-cover, .page-id-7563 .entry-content > .wp-block-columns,
	.page-id-7833 .entry-content > .wp-block-group, .page-id-7833 .entry-content > .wp-block-cover, .page-id-7833 .entry-content > .wp-block-columns,
	.page-id-8032 .entry-content > .wp-block-group, .page-id-8032 .entry-content > .wp-block-cover, .page-id-8032 .entry-content > .wp-block-columns,
	.page-id-8176 .entry-content > .wp-block-group, .page-id-8176 .entry-content > .wp-block-cover, .page-id-8176 .entry-content > .wp-block-columns,
	.page-id-8304 .entry-content > .wp-block-group, .page-id-8304 .entry-content > .wp-block-cover, .page-id-8304 .entry-content > .wp-block-columns {
		margin-left: calc(-1* var(--wp--custom--ast-default-block-left-padding));
    	margin-right: calc(-1* var(--wp--custom--ast-default-block-right-padding));
	}
}
@media (min-width: 1240px) {
	.ast-single-entry-banner[data-post-type="post"] .post-thumb img {
		border-radius: 0 0 15px 15px;
	}
}
@media (min-width: 1350px) {
	.ast-single-entry-banner[data-post-type="post"] {
		padding-top: 0px !important;
		margin-top: -90px !important;
		padding-bottom: 10px !important;
	}
	.post-thumb-img-content {
		width: 1300px;
		margin-left: -50px;
		margin-bottom: 60px !important;
	}
}